import { jsx } from "react/jsx-runtime";
import { ArrowUpLeftIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ArrowUpLeft = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ArrowUpLeft", ...props, children: /* @__PURE__ */ jsx(ArrowUpLeftIcon, { weight: variant }) });
  }
);
ArrowUpLeft.displayName = "ArrowUpLeft";
Object.assign(ArrowUpLeft, { isGdsIcon: true });
export {
  ArrowUpLeft
};
